Bug 1049511 - EMC: fails to boot instances from volumes with "TypeError: Unsupported parameter type"
Summary: EMC: fails to boot instances from volumes with "TypeError: Unsupported parame...
Keywords:
Status: CLOSED EOL
Alias: None
Product: RDO
Classification: Community
Component: openstack-cinder
Version: Icehouse
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Dafna Ron
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 16:36 UTC by Giulio Fidente
Modified: 2016-04-26 20:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-28 12:12:51 UTC


Attachments (Terms of Use)
cinder_emc_boot_from_volume_trace.txt (6.30 KB, text/plain)
2014-01-07 16:36 UTC, Giulio Fidente
no flags Details

Description Giulio Fidente 2014-01-07 16:36:07 UTC
Created attachment 846774 [details]
cinder_emc_boot_from_volume_trace.txt

Description of problem:
Aooting images from volumes, when Cinder is configured to use the EMC iSCSI driver(*) driver, fails with : TypeError: Unsupported parameter type

* cinder.volume.drivers.emc.emc_smis_iscsi.EMCSMISISCSIDriver

Attached is the trace. NOTE: attaching volumes to instances booted from images works as expected.


Version-Release number of selected component (if applicable):
openstack-cinder-2014.1-0.2.b1.el6.noarch


Steps to Reproduce:
1. create a bootable volume
2. try to boot an instance from volume

Comment 1 Lars Kellogg-Stedman 2015-03-20 15:51:58 UTC
Giulio: do you know if this issue has been resolved?

Comment 2 Giulio Fidente 2015-03-30 11:10:38 UTC
hi Lars, I don't think so, but this was affecting the icehouse release ... we'd need to see if it is reproducible on a newer release

Comment 3 Giulio Fidente 2015-03-30 11:14:34 UTC
hi Benny, do you know if this bug is affecting the RDO/juno or RDO/trunk?


Note You need to log in before you can comment on or make changes to this bug.